• Diese Seite verwendet Cookies. Indem du diese Website weiterhin nutzt, erklärst du dich mit der Verwendung von Cookies einverstanden. Erfahre mehr

Nach pkg upgrade: nvidia-driver-304 wird von xorg-server-1.20.8,1 nicht unterstützt

cabriofahrer

Well-Known Member
Themenstarter #1
Habe soeben auf meinem Notebook mit Geforce Go 7300 ein pkg upgrade (quarterly) durchgeführt, jetzt funktioniert X nicht mehr. Fehlermeldung:

WARNING WARNING WARNIG WARNING
This server has a video driver ABI version of 24.1 that this driver does not officially support. Please check http://nvidia.com/ for driver updates or downgrade to an X server with supported driver ABI.

Inhalt von /var/log/Xorg.0.log:

Code:
$ more /var/log/Xorg.0.log
[   742.173]
X.Org X Server 1.20.8
X Protocol Version 11, Revision 0
[   742.174] Build Operating System: FreeBSD 12.1-RELEASE-p3 i386
[   742.174] Current Operating System: FreeBSD elvis69.local 12.1-RELEASE FreeBSD 12.1-RELEASE r354233 GENERIC i386
[   742.174] Build Date: 02 April 2020  10:19:17AM
[   742.174] 
[   742.174] Current version of pixman: 0.38.4
[   742.174]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[   742.174] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   742.175] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Apr 18 11:10:03 2020
[   742.180] (==) Using config file: "/etc/X11/xorg.conf"
[   742.181] (==) Using system config directory "/usr/local/share/X11/xorg.conf.d"
[   742.183] (==) ServerLayout "Layout0"
[   742.183] (**) |-->Screen "Screen0" (0)
[   742.183] (**) |   |-->Monitor "Monitor0"
[   742.185] (**) |   |-->Device "Device0"
[   742.186] (**) |-->Input Device "Keyboard0"
[   742.186] (**) |-->Input Device "Mouse0"
[   742.186] (==) Automatically adding devices
[   742.186] (==) Automatically enabling devices
[   742.186] (==) Not automatically adding GPU devices
[   742.187] (==) Max clients allowed: 256, resource mask: 0x1fffff
[   742.200] (==) FontPath set to:
        /usr/local/share/fonts/misc/,
        /usr/local/share/fonts/TTF/,
        /usr/local/share/fonts/OTF/,
        /usr/local/share/fonts/Type1/,
        /usr/local/share/fonts/100dpi/,
        /usr/local/share/fonts/75dpi/,
        catalogue:/usr/local/etc/X11/fontpath.d
[   742.200] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[   742.200] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[   742.200] (WW) Disabling Keyboard0
[   742.200] (WW) Disabling Mouse0
[   742.201] (II) Loader magic: 0x5de010
[   742.201] (II) Module ABI versions:
[   742.201]    X.Org ANSI C Emulation: 0.4
[   742.201]    X.Org Video Driver: 24.1
[   742.201]    X.Org XInput driver : 24.1
[   742.201]    X.Org Server Extension : 10.0
[   742.202] (--) PCI:*(1@0:0:0) 10de:01d7:1025:0090 rev 161, Mem @ 0xd1000000/16777216, 0xc0000000/268435456, 0xd0000000/16777216, BIOS @ 0x????????/65536
[   742.203] (II) LoadModule: "glx"
[   742.205] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[   742.767] (II) Module glx: vendor="NVIDIA Corporation"
[   742.767]    compiled for 4.0.2, module version = 1.0.0
[   742.767]    Module class: X.Org Server Extension
[   742.768] (II) NVIDIA GLX Module  304.137  Thu Sep 14 13:54:16 PDT 2017
[   742.769] (II) LoadModule: "nvidia"
[   742.770] (II) Loading /usr/local/lib/xorg/modules/drivers/nvidia_drv.so
[   742.784] (II) Module nvidia: vendor="NVIDIA Corporation"
[   742.784]    compiled for 4.0.2, module version = 1.0.0
[   742.784]    Module class: X.Org Video Driver
[   742.784] ================ WARNING WARNING WARNING WARNING ================
[   742.785] This server has a video driver ABI version of 24.1 that this
driver does not officially support.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[   742.785] =================================================================
[   742.785] (EE) NVIDIA: Use the -ignoreABI option to override this check.
[   742.785] (II) UnloadModule: "nvidia"
[   742.785] (II) Unloading nvidia
[   742.785] (EE) Failed to load module "nvidia" (unknown error, 0)
[   742.785] (EE) No drivers available.
[   742.785] (EE)
Fatal server error:
[   742.785] (EE) no screens found(EE)
[   742.785] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[   742.786] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   742.786] (EE)
[   742.786] (EE) Server terminated with error (1). Closing log file.
$

Ich habe noch versucht, die xorg.conf mit der IgnoreABI-Option zu ergänzen, da scheint X wohl etwas weiterzukommen, bleibt aber letztendlich mit einem schwarzen Bildschirm und zwei senkrechten weißen Balken hängen. Die Xorg.0.log dann hierzu:

Code:
$ more Xorg.0.log.abi
[    29.425]
X.Org X Server 1.20.8
X Protocol Version 11, Revision 0
[    29.425] Build Operating System: FreeBSD 12.1-RELEASE-p3 i386
[    29.426] Current Operating System: FreeBSD elvis69.local 12.1-RELEASE FreeBSD 12.1-RELEASE r354233 GENERIC i386
[    29.426] Build Date: 02 April 2020  10:19:17AM
[    29.426] 
[    29.426] Current version of pixman: 0.38.4
[    29.426]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[    29.426] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    29.427] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Apr 18 10:54:54 2020
[    29.432] (==) Using config file: "/etc/X11/xorg.conf"
[    29.432] (==) Using system config directory "/usr/local/share/X11/xorg.conf.d"
[    29.435] (==) ServerLayout "Layout0"
[    29.435] (**) |-->Screen "Screen0" (0)
[    29.436] (**) |   |-->Monitor "Monitor0"
[    29.437] (**) |   |-->Device "Device0"
[    29.438] (**) |-->Input Device "Keyboard0"
[    29.438] (**) |-->Input Device "Mouse0"
[    29.438] (**) Option "IgnoreABI" "1"
[    29.438] (**) Ignoring ABI Version
[    29.438] (==) Automatically adding devices
[    29.438] (==) Automatically enabling devices
[    29.438] (==) Not automatically adding GPU devices
[    29.438] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    29.452] (==) FontPath set to:
        /usr/local/share/fonts/misc/,
        /usr/local/share/fonts/TTF/,
        /usr/local/share/fonts/OTF/,
        /usr/local/share/fonts/Type1/,
        /usr/local/share/fonts/100dpi/,
        /usr/local/share/fonts/75dpi/,
        catalogue:/usr/local/etc/X11/fontpath.d
[    29.452] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[    29.452] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    29.452] (WW) Disabling Keyboard0
[    29.452] (WW) Disabling Mouse0
[    29.452] (II) Loader magic: 0x5de010
[    29.452] (II) Module ABI versions:
[    29.452]    X.Org ANSI C Emulation: 0.4
[    29.452]    X.Org Video Driver: 24.1
[    29.452]    X.Org XInput driver : 24.1
[    29.452]    X.Org Server Extension : 10.0
[    29.453] (--) PCI:*(1@0:0:0) 10de:01d7:1025:0090 rev 161, Mem @ 0xd1000000/16777216, 0xc0000000/268435456, 0xd0000000/16777216, BIOS @ 0x????????/65536
[    29.454] (II) LoadModule: "glx"
[    29.456] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[    29.973] (II) Module glx: vendor="NVIDIA Corporation"
[    29.973]    compiled for 4.0.2, module version = 1.0.0
[    29.973]    Module class: X.Org Server Extension
[    29.974] (II) NVIDIA GLX Module  304.137  Thu Sep 14 13:54:16 PDT 2017
[    29.974] (II) LoadModule: "nvidia"
[    29.976] (II) Loading /usr/local/lib/xorg/modules/drivers/nvidia_drv.so
[    29.988] (II) Module nvidia: vendor="NVIDIA Corporation"
[    29.988]    compiled for 4.0.2, module version = 1.0.0
[    29.988]    Module class: X.Org Video Driver
[    29.989] ================ WARNING WARNING WARNING WARNING ================
[    29.989] This server has a video driver ABI version of 24.1 that this
driver does not officially support.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[    29.989] =================================================================
[    29.989] (WW) NVIDIA: The driver will continue to load, but may behave strangely.
[    29.990] (WW) NVIDIA: This driver was compiled against the X.Org server SDK from git commit d82c3cee02a99cf7861d1effaa5c7d38683a7783 and may not be compatible with the final version of this SDK.
[    29.991] (II) NVIDIA dlloader X Driver  304.137  Thu Sep 14 13:35:03 PDT 2017
[    29.991] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    29.992] (--) Using syscons driver with X support (version 2.0)
[    29.992] (--) using VT number 9

[    30.008] (II) Loading sub module "fb"
[    30.008] (II) LoadModule: "fb"
[    30.010] (II) Loading /usr/local/lib/xorg/modules/libfb.so
[    30.012] (II) Module fb: vendor="X.Org Foundation"
[    30.012]    compiled for 1.20.8, module version = 1.0.0
[    30.012]    ABI class: X.Org ANSI C Emulation, version 0.4
[    30.012] (II) Loading sub module "wfb"
[    30.012] (II) LoadModule: "wfb"
[    30.015] (II) Loading /usr/local/lib/xorg/modules/libwfb.so
[    30.017] (II) Module wfb: vendor="X.Org Foundation"
[    30.017]    compiled for 1.20.8, module version = 1.0.0
[    30.017]    ABI class: X.Org ANSI C Emulation, version 0.4
[    30.017] (II) Loading sub module "ramdac"
[    30.017] (II) LoadModule: "ramdac"
[    30.018] (II) Module "ramdac" already built-in
[    30.020] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[    30.020] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[    30.020] (==) NVIDIA(0): RGB weight 888
[    30.020] (==) NVIDIA(0): Default visual is TrueColor
[    30.020] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    30.024] (**) NVIDIA(0): Enabling 2D acceleration
[    31.188] (II) NVIDIA(0): NVIDIA GPU GeForce Go 7300 (G72) at PCI:1:0:0 (GPU-0)
[    31.188] (--) NVIDIA(0): Memory: 262144 kBytes
[    31.188] (--) NVIDIA(0): VideoBIOS: 05.72.22.58.30
[    31.188] (II) NVIDIA(0): Detected PCI Express Link width: 16X
[    31.188] (--) NVIDIA(0): Interlaced video modes are supported on this GPU
[    31.188] (--) NVIDIA(0): Valid display device(s) on GeForce Go 7300 at PCI:1:0:0
[    31.188] (--) NVIDIA(0):     CRT-0
[    31.188] (--) NVIDIA(0):     TV-0
[    31.188] (--) NVIDIA(0):     AU Optronics Corporation (DFP-0) (connected)
[    31.188] (--) NVIDIA(0):     DFP-1
[    31.188] (--) NVIDIA(0): CRT-0: 400.0 MHz maximum pixel clock
[    31.188] (--) NVIDIA(0): TV-0: 400.0 MHz maximum pixel clock
[    31.188] (--) NVIDIA(0): TV encoder: Unknown
[    31.188] (--) NVIDIA(0): AU Optronics Corporation (DFP-0): 330.0 MHz maximum pixel clock
[    31.188] (--) NVIDIA(0): AU Optronics Corporation (DFP-0): Internal Dual Link LVDS
[    31.188] (--) NVIDIA(0): DFP-1: 165.0 MHz maximum pixel clock
[    31.188] (--) NVIDIA(0): DFP-1: Internal Single Link TMDS
[    31.188] (**) NVIDIA(0): Using HorizSync/VertRefresh ranges from the EDID for display
[    31.189] (**) NVIDIA(0):     device AU Optronics Corporation (DFP-0) (Using EDID
[    31.189] (**) NVIDIA(0):     frequencies has been enabled on all display devices.)
[    31.189] (==) NVIDIA(0):
[    31.189] (==) NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
[    31.189] (==) NVIDIA(0):     will be used as the requested mode.
[    31.189] (==) NVIDIA(0):
[    31.189] (II) NVIDIA(0): Validated MetaModes:
[    31.189] (II) NVIDIA(0):     "DFP-0:nvidia-auto-select"
[    31.189] (II) NVIDIA(0): Virtual screen size determined to be 1280 x 800
[    31.189] (WW) NVIDIA(0): Unable to support custom viewPortOut 1280 x 720 +0 +40
[    31.190] (WW) NVIDIA(0): Unable to support custom viewPortOut 1066 x 800 +107 +0
[    31.190] (WW) NVIDIA(0): Unable to support custom viewPortOut 1066 x 800 +107 +0
[    31.191] (WW) NVIDIA(0): Unable to support custom viewPortOut 1066 x 800 +107 +0
[    31.191] (--) NVIDIA(0): DPI set to (98, 96); computed from "UseEdidDpi" X config
[    31.191] (--) NVIDIA(0):     option
[    31.203] (II) NVIDIA(0): Setting mode "DFP-0:nvidia-auto-select"
[    32.723] (==) NVIDIA(0): Disabling shared memory pixmaps
[    32.723] (==) NVIDIA(0): Backing store enabled
[    32.723] (==) NVIDIA(0): Silken mouse enabled
[    32.725] (**) NVIDIA(0): DPMS enabled
[    32.727] (II) Loading sub module "dri2"
[    32.727] (II) LoadModule: "dri2"
[    32.727] (II) Module "dri2" already built-in
[    32.727] (II) NVIDIA(0): [DRI2] Setup complete
[    32.727] (II) NVIDIA(0): [DRI2]   VDPAU driver: nvidia
$
Also was nun? Sicherlich wäre mein Hauptrechner, der nvidia-driver-390 benötigt, auch davon betroffen? Können jetzt alle Nutzer von nvidia-driver erstmal nicht upgraden wegen Inkompatibilität mit xorg-server-1.20.8?
 

Yamagi

Possessed With Psi Powers
Mitarbeiter
#2
Nvidia hat vor einiger Zeit die Unterstützung diverser alter GPU-Generationen eingestellt: https://nvidia.custhelp.com/app/answers/detail/a_id/3142/ Für dein Laptop wird also keine Kompatibilität mit aktuellen X-Servern mehr kommen. Selbst zusammenpatchen kann man das auch nicht, glaube ich. Zumindest für das glx-Modul, was in den xorg-server geladen werden muss, gibt es wohl keine vollständigen Quellen. Der im Moment älteste unterstützte Treiber ist die 390-Serie, da ist die Einstellung erst für Ende 2022 angekündigt. Dein Desktop wird also noch gute 2,5 Jahre leben.

Das ist natürlich dumm, wenn man davon betroffen ist. Aber man muss eben auch sehen, dass die jüngsten dieser GPUs nun hart auf die 15 Jahre zugehen. Die 7300 ist sogar noch Fixed Function. Ich hab mein SLI-Gespann aus zwei 7600 GT aus sentimentalen Gründen noch im Schrank liegen, genutzt wurden die Karten aber bestimmt schon über 10 Jahre nicht mehr... Die Hardware hatte einfach ihre Zeit, Nvidia hat sie sehr lange unterstützt; auf Linux müsste sie mit Nouveau brauchbar laufen und der Rest der Welt hat Pech gehabt. :(
 

cabriofahrer

Well-Known Member
Themenstarter #3
Der im Moment älteste unterstützte Treiber ist die 390-Serie, da ist die Einstellung erst für Ende 2022 angekündigt. Dein Desktop wird also noch gute 2,5 Jahre leben.
Ich habe eine Geforce GTX 750. Wie sieht es da aus? Braucht die jetzt nvidia-driver oder nvidia-driver-390? Denn die Karte wird unter Treiber-Version 440 aufgelistet:

https://www.geforce.com/drivers/results/159361

Da steht auch noch nichts speziell zur xorg-server Version?.
 

Andy_m4

Well-Known Member
#4
Die braucht nvidia-driver
Sprich Version 440.x
Und natürlich ne angepasste xorg.conf:
Apache-Konfiguration:
Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
EndSection
nebst bei rc.conf geladenen nvidia-Kernel-Modul:
C-ähnlich:
sysrc kld_list+=" nvidia-modeset"